当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 关于apt-get的问题
帖子发表于 : 2007-04-30 21:15 

注册: 2007-04-03 17:44
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
我的版本是edgy ubuntu,突然出现用synaptic 升级时,会报以下错误
代码:
E: Problem parsing dependency Depends
E: Error occurred while processing bmp-wma (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/ubuntu.cn99.com_ubuntu-cn_dists_edgy_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

把/var/lib/apt/lists目录下的东东全删除了,现在基本没办法update了,该怎么解决呢,不想重装系统了


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-04-30 21:24 

注册: 2006-11-08 10:06
帖子: 249
送出感谢: 0 次
接收感谢: 0 次
搜索本论坛!!昨天和前天的帖子有解决方法~删除cn99源里的ubuntu_cn!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-04-30 21:34 

注册: 2007-04-03 17:44
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
butterflyin 写道:
搜索本论坛!!昨天和前天的帖子有解决方法~删除cn99源里的ubuntu_cn!


删了之后还是不行,当运行apt-get update时,提示以下错误:
E: 软件包列表的目录 /var/lib/apt/lists/partial 不见了
已经查看了前几天的贴子,和我的这个问题不一样的
我把/var/lib/apt/lists/下的东西都删了


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-04-30 21:43 

注册: 2007-04-03 17:44
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
哈哈,都是怪我看东西不仔细,这个问题前面已经解决了。

只要在/var/lib/apt/下建立partial的文件夹,然后把源里面的ubuntu-cn删掉就好了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译